Subject: bug#43269: 28.0.50; [feature/native-comp] provide a user feedback on Emacs being native compiled

From: Andrea Corallo <[email-masked]>
Date: Sat, 17 Oct 2020 08:18:43 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>> That said honestly I've not much idea on how to rework `about-emacs' and
>> my understanding was that this is a general suggestion not strictly
>> native-comp related.  If that's the case I'd be for closing this bug as
>> I think is out of scope for the feature branch, or if I'm wrong here and
>> there's some suggestion I'm happy to put some effort into as well :)
>
> The line that says
>
> GNU Emacs 28.0.50 (build 85, x86_64-pc-linux-gnu, GTK+ Version 3.24.23, cairo version 1.16.0)
>  of 2020-10-17
>
> (which should perhaps be folded better) could have a ", natively
> compiled" in there somewhere.
>
> I think nativecomp is a big enough thing to be called out here -- at
> least for a couple of Emacs versions.

This was my original proposition but IIRC Eli had a different idea on
that.

Unfortunatelly I think the discussion happend on a different thread and
I cannot find it ATM so I may be wrong.

  Andrea